#!/usr/bin/python

# -*- encoding:utf-8 -*-

import json,pprint
from prettyprinter import prettyPrinter
from kscore.session import get_session
import sys
import time
from urllib import quote

ks_access_key_id ='ak'
ks_secret_access_key = 'sk'


if __name__ == "__main__":
    s = get_session()
    s.set_credentials(ks_access_key_id, ks_secret_access_key)
    kcmClient = s.create_client("kcm", 'cn-shanghai-2', use_ssl=True)
    #kcmClient.create_certificate()
    #cert = '-----BEGIN CERTIFICATE-----\nMIIE9zCCA9+gAwIBAgIQOJzS+B180J8Fyp3N2EQwTDANBgkqhkiG9w0BAQsFADBS\nMQswCQYDVQQGEwJDTjEaMBgGA1UEChMRV29TaWduIENBIExpbWl0ZWQxJzAlBgNV\nBAMTHldvU2lnbiBDbGFzcyAzIE9WIFNlcnZlciBDQSBHMjAeFw0xNTEyMzExMDA3\nMTlaFw0xOTAzMzExMDA3MTlaMHYxCzAJBgNVBAYTAkNOMRAwDgYDVQQIDAdUaWFu\namluMRAwDgYDVQQHDAdUaWFuamluMSswKQYDVQQKDCJUaWFuamluIFN1aXl1ZSBU\nZWNobm9sb2d5IENvLixMdGQuMRYwFAYDVQQDDA0qLnRpc2dhbWUuY29tMIIBIjAN\nBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA0Gjl8buPjyFbLXNI2ie07gVHRGEv\nKbE8+wqVS/Uyi0AS0LqK+h37rHi1USizD8GTY2NNh6KbemfgflhiuxAsXTAtDzmB\nGkD8Auws68tVlu+ur1uht1gYtnTYldhi5c6EmOotTB0E4YtMQbYeTAqKGeYVDO00\nIF5scI3eVDQgw/qsJfOoUkjcM9VfYyalarkWo2A4tLrR527qkBtYmApLaHYY7Zmd\nQlV39bUktG8Pgbmvi+ycFfjhpACtGcoJKEfsydWEjEklQQDxRe46cb0Jkg2cpJ4J\nEF1YDIdh3AAsNgYEE7MdVhhYEuKgy5DqTtuPPTOVjh9fMtWo/u9a9VhPjwIDAQAB\no4IBozCCAZ8wCwYDVR0PBAQDAgWgMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEF\nBQcDATAJBgNVHRMEAjAAMB0GA1UdDgQWBBQw/Pm54BOxQMFwzJOeiaZnXRKdRjAf\nBgNVHSMEGDAWgBT5i+wEOGo/qgbGlK1zlSqwyOa4+zBzBggrBgEFBQcBAQRnMGUw\nLwYIKwYBBQUHMAGGI2h0dHA6Ly9vY3NwMS53b3NpZ24uY29tL2NhNi9zZXJ2ZXIz\nMDIGCCsGAQUFBzAChiZodHRwOi8vYWlhMS53b3NpZ24uY29tL2NhNi5zZXJ2ZXIz\nLmNlcjA4BgNVHR8EMTAvMC2gK6AphidodHRwOi8vY3JsczEud29zaWduLmNvbS9j\nYTYtc2VydmVyMy5jcmwwJQYDVR0RBB4wHIINKi50aXNnYW1lLmNvbYILdGlzZ2Ft\nZS5jb20wUAYDVR0gBEkwRzAIBgZngQwBAgIwOwYMKwYBBAGCm1EGAwIBMCswKQYI\nKwYBBQUHAgEWHWh0dHA6Ly93d3cud29zaWduLmNvbS9wb2xpY3kvMA0GCSqGSIb3\nDQEBCwUAA4IBAQB5jIzf1Q4+IK+A+iicyznJn4kl56TMu8F2++zhWAwUP3ZyzJr3\nZaVkcfN+P5zRCCwy40+HHUb+zxQc8NTYLl88IBGyO3asaKZRzGlI8TkIXkEY2tlf\nFCZfAOJIwITwqNuepMlTyOjuqxhwzyr9Z2GASJ7Coqtrj6l6OoHvBNS9vNWziP1J\ngJ/cDpV4z02SY/fVw4udlT5J6FTGIOmMucnlh8CGsN6oFCPItIjVZhLGwgZbyNrz\nP6/4rdVZ2fVk8Q5Hn5arTKcwIOsroNxxPxLMxV5DNFwtJZ4gxcYz0o75VY/X9VYW\nWYdRxC4CjnSn/uVleWJBFcR0gj6vBPTWhQ4V\n-----END CERTIFICATE-----\n\n-----BEGIN CERTIFICATE-----\nMIIFozCCA4ugAwIBAgIQdZbCPvqJWUVuefcXus9k8zANBgkqhkiG9w0BAQsFADBV\nMQswCQYDVQQGEwJDTjEaMBgGA1UEChMRV29TaWduIENBIExpbWl0ZWQxKjAoBgNV\nBAMTIUNlcnRpZmljYXRpb24gQXV0aG9yaXR5IG9mIFdvU2lnbjAeFw0xNDExMDgw\nMDU4NThaFw0yOTExMDgwMDU4NThaMFIxCzAJBgNVBAYTAkNOMRowGAYDVQQKExFX\nb1NpZ24gQ0EgTGltaXRlZDEnMCUGA1UEAxMeV29TaWduIENsYXNzIDMgT1YgU2Vy\ndmVyIENBIEcyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1nSHr5nA\nV5aZwol0PJJVmb8fBwA1BSaWFlsDwUI3M74/DU//u5QmkdcUFngb9xOiS0zlXKcQ\nQDVZMNF3meOdKcK+MZW9kmFbsCP7Z1jVUuR7L/BzHHOUVbrIaFkCEBDk9xHww7bX\nrlaAAJ5lZKaDkUHm7ad6ZaUfMC4TPL/fY5fzlvBSMrT0e5hX7TZP9yFKKJ3dHJKz\nTY2cWIsXIdjcobeuc3iKxLbpfyiOmtUunjnp2ll048iXEDKUGVnUD4lXROblKxcw\nYlKYf6sNpQHqBEHK+hMOO4cGur1HMddjAwH0vqE3EZ8eAZVODz9UHpKmnzCM/pjo\nVpZmBOE1/lmsVwIDAQABo4IBcDCCAWwwDgYDVR0PAQH/BAQDAgEGMB0GA1UdJQQW\nMBQGCCsGAQUFBwMCBggrBgEFBQcDATASBgNVHRMBAf8ECDAGAQH/AgEAMDAGA1Ud\nHwQpMCcwJaAjoCGGH2h0dHA6Ly9jcmxzMS53b3NpZ24uY29tL2NhMS5jcmwwbQYI\nKwYBBQUHAQEEYTBfMCcGCCsGAQUFBzABhhtodHRwOi8vb2NzcDEud29zaWduLmNv\nbS9jYTEwNAYIKwYBBQUHMAKGKGh0dHA6Ly9haWExLndvc2lnbi5jb20vY2ExZzIt\nc2VydmVyMy5jZXIwHQYDVR0OBBYEFPmL7AQ4aj+qBsaUrXOVKrDI5rj7MB8GA1Ud\nIwQYMBaAFOFmzw7R8bNLtwYgFP6HEtX2/vs+MEYGA1UdIAQ/MD0wOwYMKwYBBAGC\nm1EGAwIBMCswKQYIKwYBBQUHAgEWHWh0dHA6Ly93d3cud29zaWduLmNvbS9wb2xp\nY3kvMA0GCSqGSIb3DQEBCwUAA4ICAQBeZ7p4MgW2t6/n3mp6gmQOoAvynpq6xitv\nVjq0YlerfK1gUJY0nKOIz9mPUK/28AA2Gx8fh1U8YJrwsA2agC2KO74Fs9eggLa4\nGetR2+xkVPEaiUpIoU0/MX3EeZRL8d6rg69fhr6WHLM+HOe8lrLoWqy1WMs8Vm8K\np6XQNomCJoy5H7brj354/FuLeRzW30enVvSYTsep1Q51VgZ/tDdGCMbpT4tbQxzg\nRT6VIHHAHJgW7/J436xNu79WDs+Fr8+/BO1ya/0fVw5YkUQRWDtiOwl4s6R1auyz\nwisyzLONw6Nu3IrV6ErEC3vbMF2VM8PRo2lkW6iqlkhzc+PJuSTfF3Wqrwc6z76b\nioCnv3zi6Srm/bAs5+bmfrM1FWUA9OE5cw4oS/AMmJ466857ep5AwVBllprnS3fN\n3ct9l7TqCbLpSSjDMOCHFfAm6tgD/ezaCINl3HfFbj0094fDHB0mM+wzrMaZU6tg\n9LDZ7mRaMwdwE3SIB/WG+RjTskfIrgNKU94cZdYKLjpRk+63428K++n+Tui7HcKX\nqwq57TYyG02hzAOmnbPZHNVn4o90PJIqdLFWUN9TFdch1uvz+2PjICwKdDcLwaE1\naoRw9EX4sraBSar9VEWQTecEB194FN06uyv5clDsaOo8qNGAu741Q5fDMrL1qq3J\nf4OffWkeFQ==\n-----END CERTIFICATE-----\n\n-----BEGIN CERTIFICATE-----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\n-----END CERTIFICATE-----'
    #private = '-----BEGIN RSA PRIVATE KEY-----\nMIIEpQIBAAKCAQEA0Gjl8buPjyFbLXNI2ie07gVHRGEvKbE8+wqVS/Uyi0AS0LqK\n+h37rHi1USizD8GTY2NNh6KbemfgflhiuxAsXTAtDzmBGkD8Auws68tVlu+ur1uh\nt1gYtnTYldhi5c6EmOotTB0E4YtMQbYeTAqKGeYVDO00IF5scI3eVDQgw/qsJfOo\nUkjcM9VfYyalarkWo2A4tLrR527qkBtYmApLaHYY7ZmdQlV39bUktG8Pgbmvi+yc\nFfjhpACtGcoJKEfsydWEjEklQQDxRe46cb0Jkg2cpJ4JEF1YDIdh3AAsNgYEE7Md\nVhhYEuKgy5DqTtuPPTOVjh9fMtWo/u9a9VhPjwIDAQABAoIBAB84t8oBCT6uBpTG\ngpF8BVTrIYQS8xfR34rUSQ16DDpkPO1cJNnXiA6Mfs1LxZeErmnjRIgfSh+KVE1Z\nPGE9yQek4fs36ClgtuBRNWGVsprMCWVn2tA2uG0NEC1Sn25CBAdMfcC7UDHhxmjJ\nubw2j/3VRC4NkxOOUbyC5F3E+WuiasL5NcH/gWrT9jdHIcmpJXhtw65gJOt3HEkf\n9RcQYjCSS8WVMtS7xRhK+IeXK+Vbn3pcXQ9Q6icce9+LSboeyo0GPi4GC3KcA3/R\n5t5Zwl4Yo04J2NfjJbSquPZnvdPyaS2iwvtatZUuUrYAiZKwjhfDOmD6o6fDr1wL\nBBSCJUECgYEA8iGUflCTQIoCYl+c6xhXsf8YUAKd/UIcRZVOKdna3rV84eopZYNS\nNiw139yyJHUeGtzrMDvtCiR7btxyyzYFoK/7NhMzJE8zia/UG3zrglNOJt2VwhsU\nwRaSl4tUNOAvf8BlVPW5WXrqCk5aD6OodnzK+DmYXE0moeoJHAMiRv8CgYEA3Fja\nolXYWsf7iHr5+iGzckODGGiWQI1wECPWJYm8qfMNVeOMyOD/jxII688+1cI0GFxN\nGtIEFd4njsHSR96934gF7IeujbrnRIvlfAkxQV57AP9602cSuvLQ696nycPdydbF\n+GcbOnazzlUUPP1vdwdmu8elZdBEgoaTHfK6B3ECgYEA05Wegmb81lgDT12H7TR/\nZY6p+zjeQHJl7DRVcmLqTNVBRNVvyUJhM++cQHxFu3AQl57XcnXbZJKOvkirk4Io\nlstRdWZ/uUnwmm/opQCbeG49i970QAOUNkr4XK8nLXF+cF967SwxBM1Q+SKQtrvn\nuWrBnvoNdxMAIFs4DJ98c5cCgYEAm82oKokQxoAJd2OdRiR2QiFCnQu20kYwKvlr\n/nb6FCFsGIMhlRijG4LhE/wirfr34xHA42oEwYGn7uVVzsPM9jW0Gp+F6WlzBaD1\nz1KgpVwtFXOQYdLMB6yR1XZGpf/83y8iJJajRh+Q3CCEguug2UU+eyCb7vXou3J0\nrARpTcECgYEAzGugegAYtrlF+c+zFGySzgtIxYld6H+T9cDgrUtWAOp+P3SwbvLl\n5PdRJ183xZo6s4O+Ptv5gl+XcNFIM/xiSmuyogFcwNBifr45anqmOlok/Y0N1cya\nEXN6Umpw6rO0b9aCuhKAJES+QYTZ4jzn5NYphC2t4yv+0KFlUHJWEok=\n-----END RSA PRIVATE KEY-----'

    cert ='-----BEGIN CERTIFICATE-----\\nMIIE9zCCA9+gAwIBAgIQOJzS+B180J8Fyp3N2EQwTDANBgkqhkiG9w0BAQsFADBS\\nMQswCQYDVQQGEwJDTjEaMBgGA1UEChMRV29TaWduIENBIExpbWl0ZWQxJzAlBgNV\\nBAMTHldvU2lnbiBDbGFzcyAzIE9WIFNlcnZlciBDQSBHMjAeFw0xNTEyMzExMDA3\\nMTlaFw0xOTAzMzExMDA3MTlaMHYxCzAJBgNVBAYTAkNOMRAwDgYDVQQIDAdUaWFu\\namluMRAwDgYDVQQHDAdUaWFuamluMSswKQYDVQQKDCJUaWFuamluIFN1aXl1ZSBU\\nZWNobm9sb2d5IENvLixMdGQuMRYwFAYDVQQDDA0qLnRpc2dhbWUuY29tMIIBIjAN\\nBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA0Gjl8buPjyFbLXNI2ie07gVHRGEv\\nKbE8+wqVS/Uyi0AS0LqK+h37rHi1USizD8GTY2NNh6KbemfgflhiuxAsXTAtDzmB\\nGkD8Auws68tVlu+ur1uht1gYtnTYldhi5c6EmOotTB0E4YtMQbYeTAqKGeYVDO00\\nIF5scI3eVDQgw/qsJfOoUkjcM9VfYyalarkWo2A4tLrR527qkBtYmApLaHYY7Zmd\\nQlV39bUktG8Pgbmvi+ycFfjhpACtGcoJKEfsydWEjEklQQDxRe46cb0Jkg2cpJ4J\\nEF1YDIdh3AAsNgYEE7MdVhhYEuKgy5DqTtuPPTOVjh9fMtWo/u9a9VhPjwIDAQAB\\no4IBozCCAZ8wCwYDVR0PBAQDAgWgMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEF\\nBQcDATAJBgNVHRMEAjAAMB0GA1UdDgQWBBQw/Pm54BOxQMFwzJOeiaZnXRKdRjAf\\nBgNVHSMEGDAWgBT5i+wEOGo/qgbGlK1zlSqwyOa4+zBzBggrBgEFBQcBAQRnMGUw\\nLwYIKwYBBQUHMAGGI2h0dHA6Ly9vY3NwMS53b3NpZ24uY29tL2NhNi9zZXJ2ZXIz\\nMDIGCCsGAQUFBzAChiZodHRwOi8vYWlhMS53b3NpZ24uY29tL2NhNi5zZXJ2ZXIz\\nLmNlcjA4BgNVHR8EMTAvMC2gK6AphidodHRwOi8vY3JsczEud29zaWduLmNvbS9j\\nYTYtc2VydmVyMy5jcmwwJQYDVR0RBB4wHIINKi50aXNnYW1lLmNvbYILdGlzZ2Ft\\nZS5jb20wUAYDVR0gBEkwRzAIBgZngQwBAgIwOwYMKwYBBAGCm1EGAwIBMCswKQYI\\nKwYBBQUHAgEWHWh0dHA6Ly93d3cud29zaWduLmNvbS9wb2xpY3kvMA0GCSqGSIb3\\nDQEBCwUAA4IBAQB5jIzf1Q4+IK+A+iicyznJn4kl56TMu8F2++zhWAwUP3ZyzJr3\\nZaVkcfN+P5zRCCwy40+HHUb+zxQc8NTYLl88IBGyO3asaKZRzGlI8TkIXkEY2tlf\\nFCZfAOJIwITwqNuepMlTyOjuqxhwzyr9Z2GASJ7Coqtrj6l6OoHvBNS9vNWziP1J\\ngJ/cDpV4z02SY/fVw4udlT5J6FTGIOmMucnlh8CGsN6oFCPItIjVZhLGwgZbyNrz\\nP6/4rdVZ2fVk8Q5Hn5arTKcwIOsroNxxPxLMxV5DNFwtJZ4gxcYz0o75VY/X9VYW\\nWYdRxC4CjnSn/uVleWJBFcR0gj6vBPTWhQ4V\\n-----END CERTIFICATE-----\\n\\n-----BEGIN CERTIFICATE-----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\\nf4OffWkeFQ==\\n-----END CERTIFICATE-----\\n\\n-----BEGIN CERTIFICATE-----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\\n-----END CERTIFICATE-----'
    private = '-----BEGIN RSA PRIVATE KEY-----\\nMIIEpQIBAAKCAQEA0Gjl8buPjyFbLXNI2ie07gVHRGEvKbE8+wqVS/Uyi0AS0LqK\\n+h37rHi1USizD8GTY2NNh6KbemfgflhiuxAsXTAtDzmBGkD8Auws68tVlu+ur1uh\\nt1gYtnTYldhi5c6EmOotTB0E4YtMQbYeTAqKGeYVDO00IF5scI3eVDQgw/qsJfOo\\nUkjcM9VfYyalarkWo2A4tLrR527qkBtYmApLaHYY7ZmdQlV39bUktG8Pgbmvi+yc\\nFfjhpACtGcoJKEfsydWEjEklQQDxRe46cb0Jkg2cpJ4JEF1YDIdh3AAsNgYEE7Md\\nVhhYEuKgy5DqTtuPPTOVjh9fMtWo/u9a9VhPjwIDAQABAoIBAB84t8oBCT6uBpTG\\ngpF8BVTrIYQS8xfR34rUSQ16DDpkPO1cJNnXiA6Mfs1LxZeErmnjRIgfSh+KVE1Z\\nPGE9yQek4fs36ClgtuBRNWGVsprMCWVn2tA2uG0NEC1Sn25CBAdMfcC7UDHhxmjJ\\nubw2j/3VRC4NkxOOUbyC5F3E+WuiasL5NcH/gWrT9jdHIcmpJXhtw65gJOt3HEkf\\n9RcQYjCSS8WVMtS7xRhK+IeXK+Vbn3pcXQ9Q6icce9+LSboeyo0GPi4GC3KcA3/R\\n5t5Zwl4Yo04J2NfjJbSquPZnvdPyaS2iwvtatZUuUrYAiZKwjhfDOmD6o6fDr1wL\\nBBSCJUECgYEA8iGUflCTQIoCYl+c6xhXsf8YUAKd/UIcRZVOKdna3rV84eopZYNS\\nNiw139yyJHUeGtzrMDvtCiR7btxyyzYFoK/7NhMzJE8zia/UG3zrglNOJt2VwhsU\\nwRaSl4tUNOAvf8BlVPW5WXrqCk5aD6OodnzK+DmYXE0moeoJHAMiRv8CgYEA3Fja\\nolXYWsf7iHr5+iGzckODGGiWQI1wECPWJYm8qfMNVeOMyOD/jxII688+1cI0GFxN\\nGtIEFd4njsHSR96934gF7IeujbrnRIvlfAkxQV57AP9602cSuvLQ696nycPdydbF\\n+GcbOnazzlUUPP1vdwdmu8elZdBEgoaTHfK6B3ECgYEA05Wegmb81lgDT12H7TR/\\nZY6p+zjeQHJl7DRVcmLqTNVBRNVvyUJhM++cQHxFu3AQl57XcnXbZJKOvkirk4Io\\nlstRdWZ/uUnwmm/opQCbeG49i970QAOUNkr4XK8nLXF+cF967SwxBM1Q+SKQtrvn\\nuWrBnvoNdxMAIFs4DJ98c5cCgYEAm82oKokQxoAJd2OdRiR2QiFCnQu20kYwKvlr\\n/nb6FCFsGIMhlRijG4LhE/wirfr34xHA42oEwYGn7uVVzsPM9jW0Gp+F6WlzBaD1\\nz1KgpVwtFXOQYdLMB6yR1XZGpf/83y8iJJajRh+Q3CCEguug2UU+eyCb7vXou3J0\\nrARpTcECgYEAzGugegAYtrlF+c+zFGySzgtIxYld6H+T9cDgrUtWAOp+P3SwbvLl\\n5PdRJ183xZo6s4O+Ptv5gl+XcNFIM/xiSmuyogFcwNBifr45anqmOlok/Y0N1cya\\nEXN6Umpw6rO0b9aCuhKAJES+QYTZ4jzn5NYphC2t4yv+0KFlUHJWEok=\\n-----END RSA PRIVATE KEY-----'
    #cert = '-----BEGIN%20CERTIFICATE-----%5CnMIIE9zCCA9%2BgAwIBAgIQOJzS%2BB180J8Fyp3N2EQwTDANBgkqhkiG9w0BAQsFADBS%5CnMQswCQYDVQQGEwJDTjEaMBgGA1UEChMRV29TaWduIENBIExpbWl0ZWQxJzAlBgNV%5CnBAMTHldvU2lnbiBDbGFzcyAzIE9WIFNlcnZlciBDQSBHMjAeFw0xNTEyMzExMDA3%5CnMTlaFw0xOTAzMzExMDA3MTlaMHYxCzAJBgNVBAYTAkNOMRAwDgYDVQQIDAdUaWFu%5CnamluMRAwDgYDVQQHDAdUaWFuamluMSswKQYDVQQKDCJUaWFuamluIFN1aXl1ZSBU%5CnZWNobm9sb2d5IENvLixMdGQuMRYwFAYDVQQDDA0qLnRpc2dhbWUuY29tMIIBIjAN%5CnBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA0Gjl8buPjyFbLXNI2ie07gVHRGEv%5CnKbE8%2BwqVS%2FUyi0AS0LqK%2Bh37rHi1USizD8GTY2NNh6KbemfgflhiuxAsXTAtDzmB%5CnGkD8Auws68tVlu%2Bur1uht1gYtnTYldhi5c6EmOotTB0E4YtMQbYeTAqKGeYVDO00%5CnIF5scI3eVDQgw%2FqsJfOoUkjcM9VfYyalarkWo2A4tLrR527qkBtYmApLaHYY7Zmd%5CnQlV39bUktG8Pgbmvi%2BycFfjhpACtGcoJKEfsydWEjEklQQDxRe46cb0Jkg2cpJ4J%5CnEF1YDIdh3AAsNgYEE7MdVhhYEuKgy5DqTtuPPTOVjh9fMtWo%2Fu9a9VhPjwIDAQAB%5Cno4IBozCCAZ8wCwYDVR0PBAQDAgWgMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEF%5CnBQcDATAJBgNVHRMEAjAAMB0GA1UdDgQWBBQw%2FPm54BOxQMFwzJOeiaZnXRKdRjAf%5CnBgNVHSMEGDAWgBT5i%2BwEOGo%2FqgbGlK1zlSqwyOa4%2BzBzBggrBgEFBQcBAQRnMGUw%5CnLwYIKwYBBQUHMAGGI2h0dHA6Ly9vY3NwMS53b3NpZ24uY29tL2NhNi9zZXJ2ZXIz%5CnMDIGCCsGAQUFBzAChiZodHRwOi8vYWlhMS53b3NpZ24uY29tL2NhNi5zZXJ2ZXIz%5CnLmNlcjA4BgNVHR8EMTAvMC2gK6AphidodHRwOi8vY3JsczEud29zaWduLmNvbS9j%5CnYTYtc2VydmVyMy5jcmwwJQYDVR0RBB4wHIINKi50aXNnYW1lLmNvbYILdGlzZ2Ft%5CnZS5jb20wUAYDVR0gBEkwRzAIBgZngQwBAgIwOwYMKwYBBAGCm1EGAwIBMCswKQYI%5CnKwYBBQUHAgEWHWh0dHA6Ly93d3cud29zaWduLmNvbS9wb2xpY3kvMA0GCSqGSIb3%5CnDQEBCwUAA4IBAQB5jIzf1Q4%2BIK%2BA%2BiicyznJn4kl56TMu8F2%2B%2BzhWAwUP3ZyzJr3%5CnZaVkcfN%2BP5zRCCwy40%2BHHUb%2BzxQc8NTYLl88IBGyO3asaKZRzGlI8TkIXkEY2tlf%5CnFCZfAOJIwITwqNuepMlTyOjuqxhwzyr9Z2GASJ7Coqtrj6l6OoHvBNS9vNWziP1J%5CngJ%2FcDpV4z02SY%2FfVw4udlT5J6FTGIOmMucnlh8CGsN6oFCPItIjVZhLGwgZbyNrz%5CnP6%2F4rdVZ2fVk8Q5Hn5arTKcwIOsroNxxPxLMxV5DNFwtJZ4gxcYz0o75VY%2FX9VYW%5CnWYdRxC4CjnSn%2FuVleWJBFcR0gj6vBPTWhQ4V%5Cn-----END%20CERTIFICATE-----%5Cn%5Cn-----BEGIN%20CERTIFICATE-----%5CnMIIFozCCA4ugAwIBAgIQdZbCPvqJWUVuefcXus9k8zANBgkqhkiG9w0BAQsFADBV%5CnMQswCQYDVQQGEwJDTjEaMBgGA1UEChMRV29TaWduIENBIExpbWl0ZWQxKjAoBgNV%5CnBAMTIUNlcnRpZmljYXRpb24gQXV0aG9yaXR5IG9mIFdvU2lnbjAeFw0xNDExMDgw%5CnMDU4NThaFw0yOTExMDgwMDU4NThaMFIxCzAJBgNVBAYTAkNOMRowGAYDVQQKExFX%5Cnb1NpZ24gQ0EgTGltaXRlZDEnMCUGA1UEAxMeV29TaWduIENsYXNzIDMgT1YgU2Vy%5CndmVyIENBIEcyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1nSHr5nA%5CnV5aZwol0PJJVmb8fBwA1BSaWFlsDwUI3M74%2FDU%2F%2Fu5QmkdcUFngb9xOiS0zlXKcQ%5CnQDVZMNF3meOdKcK%2BMZW9kmFbsCP7Z1jVUuR7L%2FBzHHOUVbrIaFkCEBDk9xHww7bX%5CnrlaAAJ5lZKaDkUHm7ad6ZaUfMC4TPL%2FfY5fzlvBSMrT0e5hX7TZP9yFKKJ3dHJKz%5CnTY2cWIsXIdjcobeuc3iKxLbpfyiOmtUunjnp2ll048iXEDKUGVnUD4lXROblKxcw%5CnYlKYf6sNpQHqBEHK%2BhMOO4cGur1HMddjAwH0vqE3EZ8eAZVODz9UHpKmnzCM%2Fpjo%5CnVpZmBOE1%2FlmsVwIDAQABo4IBcDCCAWwwDgYDVR0PAQH%2FBAQDAgEGMB0GA1UdJQQW%5CnMBQGCCsGAQUFBwMCBggrBgEFBQcDATASBgNVHRMBAf8ECDAGAQH%2FAgEAMDAGA1Ud%5CnHwQpMCcwJaAjoCGGH2h0dHA6Ly9jcmxzMS53b3NpZ24uY29tL2NhMS5jcmwwbQYI%5CnKwYBBQUHAQEEYTBfMCcGCCsGAQUFBzABhhtodHRwOi8vb2NzcDEud29zaWduLmNv%5CnbS9jYTEwNAYIKwYBBQUHMAKGKGh0dHA6Ly9haWExLndvc2lnbi5jb20vY2ExZzIt%5Cnc2VydmVyMy5jZXIwHQYDVR0OBBYEFPmL7AQ4aj%2BqBsaUrXOVKrDI5rj7MB8GA1Ud%5CnIwQYMBaAFOFmzw7R8bNLtwYgFP6HEtX2%2Fvs%2BMEYGA1UdIAQ%2FMD0wOwYMKwYBBAGC%5Cnm1EGAwIBMCswKQYIKwYBBQUHAgEWHWh0dHA6Ly93d3cud29zaWduLmNvbS9wb2xp%5CnY3kvMA0GCSqGSIb3DQEBCwUAA4ICAQBeZ7p4MgW2t6%2Fn3mp6gmQOoAvynpq6xitv%5CnVjq0YlerfK1gUJY0nKOIz9mPUK%2F28AA2Gx8fh1U8YJrwsA2agC2KO74Fs9eggLa4%5CnGetR2%2BxkVPEaiUpIoU0%2FMX3EeZRL8d6rg69fhr6WHLM%2BHOe8lrLoWqy1WMs8Vm8K%5Cnp6XQNomCJoy5H7brj354%2FFuLeRzW30enVvSYTsep1Q51VgZ%2FtDdGCMbpT4tbQxzg%5CnRT6VIHHAHJgW7%2FJ436xNu79WDs%2BFr8%2B%2FBO1ya%2F0fVw5YkUQRWDtiOwl4s6R1auyz%5CnwisyzLONw6Nu3IrV6ErEC3vbMF2VM8PRo2lkW6iqlkhzc%2BPJuSTfF3Wqrwc6z76b%5CnioCnv3zi6Srm%2FbAs5%2BbmfrM1FWUA9OE5cw4oS%2FAMmJ466857ep5AwVBllprnS3fN%5Cn3ct9l7TqCbLpSSjDMOCHFfAm6tgD%2FezaCINl3HfFbj0094fDHB0mM%2BwzrMaZU6tg%5Cn9LDZ7mRaMwdwE3SIB%2FWG%2BRjTskfIrgNKU94cZdYKLjpRk%2B63428K%2B%2Bn%2BTui7HcKX%5Cnqwq57TYyG02hzAOmnbPZHNVn4o90PJIqdLFWUN9TFdch1uvz%2B2PjICwKdDcLwaE1%5CnaoRw9EX4sraBSar9VEWQTecEB194FN06uyv5clDsaOo8qNGAu741Q5fDMrL1qq3J%5Cnf4OffWkeFQ%3D%3D%5Cn-----END%20CERTIFICATE-----%5Cn%5Cn-----BEGIN%20CERTIFICATE-----%5CnMIIGXDCCBESgAwIBAgIHGcKFMOk7NjANBgkqhkiG9w0BAQsFADB9MQswCQYDVQQG%5CnEwJJTDEWMBQGA1UEChMNU3RhcnRDb20gTHRkLjErMCkGA1UECxMiU2VjdXJlIERp%5CnZ2l0YWwgQ2VydGlmaWNhdGUgU2lnbmluZzEpMCcGA1UEAxMgU3RhcnRDb20gQ2Vy%5CndGlmaWNhdGlvbiBBdXRob3JpdHkwHhcNMDYwOTE3MjI0NjM2WhcNMTkxMjMxMjM1%5CnOTU5WjBVMQswCQYDVQQGEwJDTjEaMBgGA1UEChMRV29TaWduIENBIExpbWl0ZWQx%5CnKjAoBgNVBAMTIUNlcnRpZmljYXRpb24gQXV0aG9yaXR5IG9mIFdvU2lnbjCCAiIw%5CnDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAL3Kjay4kRVWl3trXHrC3mvZobDD%5CnECP6p6GyzDH6PtmmKW8WPeBr%2BLhAX9s5qAB6i6BNVH3CInj8jgm4qIXXzJWXS3TY%5Cnnn7wAOQOia5JKEQaEJkyDyWIU6QNsw8SCBYLA3EnHH%2Fh29L9Z2jEBV0KDl1w19iX%5CnoLxTQZqRjfSeNmZ6flbBkF%2FmsWggNqSMJCwsRwtZdmYwtb7e7Y%2F4ndO7ATDm8vMO%5Cn4CySgPOF%2BSiKtFQumu33dvwVaBbrSmzrLhKP1M%2F%2BDMdcHQt%2BBTK%2BXrAJKkLVyU6Q%5Cns1kNu3p%2BzdUIWrR%2F2BxpEfknD3sGr1SDGHvh3VR6UWhud%2FzGv1JKZkahsmcau6NP%5Cnd6C%2BXf%2F8VgtDcneQyp758jn1Dan06tfnsxAvMEI3IcwwcMmGmA%2FMWE2Du33lGqU3%5CnjbasMpcAOmNxJB6eN8T%2FdNQ3wOL%2BiEZgEd0IP1A2q7h6pJViam6wymohWmnz8%2Fsd%5CncDmV86dupoGJoYjFO3HKo1Lug7v9oHf05G%2FnQtttSpmKNEi8F9zkgAgitvIxwD8E%5CnPuufIHnWuAZkZAIx16nNUvuERWkJACrcVYvEBkZLwEodCVs5KP2pq84A%2BS5ISybm%5CnMEylWMq0RIJP55EeM8Owk%2F8R%2FIHSyh9xKd12T5Ilrx2Btw8vjMMGzC8no0rkDpm6%5CnfB5FH3%2BqGUWW%2Ffw9AgMBAAGjggEHMIIBAzASBgNVHRMBAf8ECDAGAQH%2FAgECMA4G%5CnA1UdDwEB%2FwQEAwIBBjAdBgNVHQ4EFgQU4WbPDtHxs0u3BiAU%2FocS1fb%2B%2Bz4wHwYD%5CnVR0jBBgwFoAUTgvvGqRAW6UXaYcwyjRoQ9BBrvIwaQYIKwYBBQUHAQEEXTBbMCcG%5CnCCsGAQUFBzABhhtodHRwOi8vb2NzcC5zdGFydHNzbC5jb20vY2EwMAYIKwYBBQUH%5CnMAKGJGh0dHA6Ly9haWEuc3RhcnRzc2wuY29tL2NlcnRzL2NhLmNydDAyBgNVHR8E%5CnKzApMCegJaAjhiFodHRwOi8vY3JsLnN0YXJ0c3NsLmNvbS9zZnNjYS5jcmwwDQYJ%5CnKoZIhvcNAQELBQADggIBALZt%2BHD74g1MmLMHSRX1BMRsysr1aKAI%2FhJtnAQGya2a%5CnkVI%2BeMRc7p9UHe7j8V4wyUnhOeCmnTZsV%2FrmNE9V6IeoLN0F8VgSkejKzih4j98H%5CnhQGl3EWWBdSAsisFmsuapYvgOmfmc0e%2BSv0nsYjv5srPjQ4mn%2FpfV3itbf6umzUI%5CnscO6wQBKS30Uvffx01UYrNAzcIhtxAlxFKYrT4iB5wsAN6kVfX7XAZY%2FL697Yq4K%5CnSr9LOS41EIv%2BBDnkPDoMCVZAOrX0wmgMtflSze6d%2BJj8eOdYR48cc1hpM6v%2F3d%2BO%5CnJAF3mBk6sGZ5vOEIow5PwQSz8wHI69NZHDXSkx5wZYJ%2F28%2F7yJkSYMNEbzqAS9e%2B%5CnIaoUemTL3TdDRVsyLkXw2VkfaxjwfOlVNhlhX7V98Y29iOR1S5jdJ7DkhEQqYYRX%5CnBYIRH6o1WPMgDq9Z7%2FpVcnINJtCbU0mszjcuZWH%2F9uwb6vbxptPRtXu%2BNfQiwbyN%5CnAb1oXoMNL%2BzW2mMMJ9FUPuSo085LMriRlP%2F7W0ktdRiounGaO67ZwKlPh5Hti3tr%5CnIJiJOYNPgMRpzBfJyE6%2B5KmlgXZwBgQyzYNl9Lx9PhO80uhvY6q1O9qNhjKCeJ3Z%5CnzP%2B%2FV2R07Sg9RGIVYUv3lLANKmcc8MubpZK%2F%2BEFawT1g7Z%2B7uG2bzqlqFj9%2B6gbx%5Cn-----END%20CERTIFICATE-----'
    #private = '-----BEGIN%20RSA%20PRIVATE%20KEY-----%5CnMIIEpQIBAAKCAQEA0Gjl8buPjyFbLXNI2ie07gVHRGEvKbE8%2BwqVS%2FUyi0AS0LqK%5Cn%2Bh37rHi1USizD8GTY2NNh6KbemfgflhiuxAsXTAtDzmBGkD8Auws68tVlu%2Bur1uh%5Cnt1gYtnTYldhi5c6EmOotTB0E4YtMQbYeTAqKGeYVDO00IF5scI3eVDQgw%2FqsJfOo%5CnUkjcM9VfYyalarkWo2A4tLrR527qkBtYmApLaHYY7ZmdQlV39bUktG8Pgbmvi%2Byc%5CnFfjhpACtGcoJKEfsydWEjEklQQDxRe46cb0Jkg2cpJ4JEF1YDIdh3AAsNgYEE7Md%5CnVhhYEuKgy5DqTtuPPTOVjh9fMtWo%2Fu9a9VhPjwIDAQABAoIBAB84t8oBCT6uBpTG%5CngpF8BVTrIYQS8xfR34rUSQ16DDpkPO1cJNnXiA6Mfs1LxZeErmnjRIgfSh%2BKVE1Z%5CnPGE9yQek4fs36ClgtuBRNWGVsprMCWVn2tA2uG0NEC1Sn25CBAdMfcC7UDHhxmjJ%5Cnubw2j%2F3VRC4NkxOOUbyC5F3E%2BWuiasL5NcH%2FgWrT9jdHIcmpJXhtw65gJOt3HEkf%5Cn9RcQYjCSS8WVMtS7xRhK%2BIeXK%2BVbn3pcXQ9Q6icce9%2BLSboeyo0GPi4GC3KcA3%2FR%5Cn5t5Zwl4Yo04J2NfjJbSquPZnvdPyaS2iwvtatZUuUrYAiZKwjhfDOmD6o6fDr1wL%5CnBBSCJUECgYEA8iGUflCTQIoCYl%2Bc6xhXsf8YUAKd%2FUIcRZVOKdna3rV84eopZYNS%5CnNiw139yyJHUeGtzrMDvtCiR7btxyyzYFoK%2F7NhMzJE8zia%2FUG3zrglNOJt2VwhsU%5CnwRaSl4tUNOAvf8BlVPW5WXrqCk5aD6OodnzK%2BDmYXE0moeoJHAMiRv8CgYEA3Fja%5CnolXYWsf7iHr5%2BiGzckODGGiWQI1wECPWJYm8qfMNVeOMyOD%2FjxII688%2B1cI0GFxN%5CnGtIEFd4njsHSR96934gF7IeujbrnRIvlfAkxQV57AP9602cSuvLQ696nycPdydbF%5Cn%2BGcbOnazzlUUPP1vdwdmu8elZdBEgoaTHfK6B3ECgYEA05Wegmb81lgDT12H7TR%2F%5CnZY6p%2BzjeQHJl7DRVcmLqTNVBRNVvyUJhM%2B%2BcQHxFu3AQl57XcnXbZJKOvkirk4Io%5CnlstRdWZ%2FuUnwmm%2FopQCbeG49i970QAOUNkr4XK8nLXF%2BcF967SwxBM1Q%2BSKQtrvn%5CnuWrBnvoNdxMAIFs4DJ98c5cCgYEAm82oKokQxoAJd2OdRiR2QiFCnQu20kYwKvlr%5Cn%2Fnb6FCFsGIMhlRijG4LhE%2Fwirfr34xHA42oEwYGn7uVVzsPM9jW0Gp%2BF6WlzBaD1%5Cnz1KgpVwtFXOQYdLMB6yR1XZGpf%2F83y8iJJajRh%2BQ3CCEguug2UU%2BeyCb7vXou3J0%5CnrARpTcECgYEAzGugegAYtrlF%2Bc%2BzFGySzgtIxYld6H%2BT9cDgrUtWAOp%2BP3SwbvLl%5Cn5PdRJ183xZo6s4O%2BPtv5gl%2BXcNFIM%2FxiSmuyogFcwNBifr45anqmOlok%2FY0N1cya%5CnEXN6Umpw6rO0b9aCuhKAJES%2BQYTZ4jzn5NYphC2t4yv%2B0KFlUHJWEok%3D%5Cn-----END%20RSA%20PRIVATE%20KEY-----'

    kcmClient.create_certificate(CertificateName='ceshi', PrivateKey=private ,PublicKey=cert)